using Microsoft.Extensions.Logging;

namespace Inspectron.Epson.PrintServer.Printers;

public class HtmlPrinterFactory(string filename,int paperWidth=384, byte type=0x1, ILogger logger=null) : IPrinterFactory
{

    public IEpsonPrinter CreatePrinter()
    {
        return new HtmlPrinter(filename,paperWidth: paperWidth, id:type);
    }
}